body{
    margin: 0;
    padding: 0;
}
a{
    position: absolute;
    top:50%;
    left:50%;
    transform: translate(-50%,-50%);
    color: #fff;
    background: #262626;
    font-size: 30px;
    padding: 10px 30px;
    text-transform: uppercase;
    text-decoration: none;
    font-family: sans-serif;
    letter-spacing: 4px;
    transition: .5s;
    border: 2px solid #262626;
    overflow: hidden;
}
a:before{
    content: '';
    position: absolute;
    top: 0;
    left: 5%;
    width: 90%;
    height: 100%;
    background: #0f0;
    z-index: -1;
    transform: skewX(25deg) scaleX(1);
    transition: .5s;
}
a:hover:before{
    transform: skewX(25deg) scaleX(0);
}
a:after{
    content: '';
    position: absolute;
    top: 0;
    left: 5%;
    width: 90%;
    height: 100%;
    background: #f00;
    z-index: -1;
    transform: skewX(25deg) scaleX(0);
    transition: .5s;
    transition-delay: .5s;
}
a:hover:after{
    transform: skewX(25deg) scaleX(1);
}